curl --request GET \
--url https://api.sandbox.lead.bank/v2/receivables \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v2/receivables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v2/receivables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v2/receivables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v2/receivables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v2/receivables")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v2/receivables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objects": [
{
"id": "receivable_2NfK8sLq4RtVwXyZ1aBcDeFgHiJ",
"currency_code": "USD",
"type": "card_network_settlement",
"held_for": "sale",
"origination_date": "2026-06-01",
"amount": 250000,
"amount_breakdown": {
"principal": 250000,
"interest": 0,
"interest_rate": null,
"fees": 0
},
"receivable_sale_details": {
"receivable_sale_id": "receivable_sale_7Kq2Lm9PxR4sTvWyZaBcDeFgHiJk",
"request_date": "2026-06-03"
},
"card_network_settlement_details": {
"settlement_reporting_id": "123456789",
"card_network": "visa",
"settlement_date": "2026-06-01"
},
"created_at": "2026-06-01T09:15:00Z",
"updated_at": "2026-06-03T10:00:00Z"
}
],
"has_more": false
}{
"code": "request_malformed",
"message": "The request is invalid and cannot be parsed by the server.",
"errors": [
{
"code": "url_malformed",
"message": "The request URL could not be parsed."
}
]
}{
"code": "authentication_missing",
"message": "The request has no authentication credentials. Send your API token in the Authorization header.",
"errors": [
{
"code": "authentication_missing",
"message": "The Authorization header is missing. Send your API token as a bearer token.",
"parameters": [
"Authorization"
]
}
]
}{
"code": "parameters_invalid",
"message": "One or more parameters are invalid.",
"errors": [
{
"code": "invalid_value",
"message": "type must be one of card_network_settlement, user_credit_balance.",
"parameters": [
"type"
]
}
]
}{
"code": "rate_limit_exceeded",
"message": "You have exceeded the rate limit for this endpoint. Retry with backoff."
}{
"code": "internal_server_error",
"message": "An unexpected error occurred. Contact support with the Request-Id header value."
}{
"code": "gateway_timeout",
"message": "An upstream system did not respond in time. Retry with backoff."
}List all Receivables
List the Receivables for your program, most recently created first.
curl --request GET \
--url https://api.sandbox.lead.bank/v2/receivables \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v2/receivables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v2/receivables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v2/receivables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v2/receivables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v2/receivables")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v2/receivables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objects": [
{
"id": "receivable_2NfK8sLq4RtVwXyZ1aBcDeFgHiJ",
"currency_code": "USD",
"type": "card_network_settlement",
"held_for": "sale",
"origination_date": "2026-06-01",
"amount": 250000,
"amount_breakdown": {
"principal": 250000,
"interest": 0,
"interest_rate": null,
"fees": 0
},
"receivable_sale_details": {
"receivable_sale_id": "receivable_sale_7Kq2Lm9PxR4sTvWyZaBcDeFgHiJk",
"request_date": "2026-06-03"
},
"card_network_settlement_details": {
"settlement_reporting_id": "123456789",
"card_network": "visa",
"settlement_date": "2026-06-01"
},
"created_at": "2026-06-01T09:15:00Z",
"updated_at": "2026-06-03T10:00:00Z"
}
],
"has_more": false
}{
"code": "request_malformed",
"message": "The request is invalid and cannot be parsed by the server.",
"errors": [
{
"code": "url_malformed",
"message": "The request URL could not be parsed."
}
]
}{
"code": "authentication_missing",
"message": "The request has no authentication credentials. Send your API token in the Authorization header.",
"errors": [
{
"code": "authentication_missing",
"message": "The Authorization header is missing. Send your API token as a bearer token.",
"parameters": [
"Authorization"
]
}
]
}{
"code": "parameters_invalid",
"message": "One or more parameters are invalid.",
"errors": [
{
"code": "invalid_value",
"message": "type must be one of card_network_settlement, user_credit_balance.",
"parameters": [
"type"
]
}
]
}{
"code": "rate_limit_exceeded",
"message": "You have exceeded the rate limit for this endpoint. Retry with backoff."
}{
"code": "internal_server_error",
"message": "An unexpected error occurred. Contact support with the Request-Id header value."
}{
"code": "gateway_timeout",
"message": "An upstream system did not respond in time. Retry with backoff."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return only receivables with this type.
The origin of the event that created the receivable. This value does not change after the receivable is created.
card_network_settlement: the receivable was created from a card network settlement.card_network_settlement_detailsis present.user_credit_balance: the receivable was created from a User Credit Transaction drawn on a User Credit Balance.user_credit_balance_detailsis present.
card_network_settlement, user_credit_balance "card_network_settlement"
Return only receivables that are part of this receivable sale. Unique ID of the Receivable Sale object.
64^receivable_sale_\w+$"receivable_sale_3f9a1c7e5b2d4a6f8e0c1b3d5f7a9c2e"
A set of filters on the list using the object's field receivable_sale_details.request_date.
Show child attributes
Show child attributes
Maximum number of objects to be returned.
1 <= x <= 100A cursor for use in pagination. Pass the ID of the last Receivable in the previous page to fetch the next page. Unique ID of the Receivable object.
64^receivable_\w+$"receivable_2NfK8sLq4RtVwXyZ1aBcDeFgHiJ"
A cursor for use in pagination. Pass the ID of the first Receivable in the current page to fetch the previous page. Unique ID of the Receivable object.
64^receivable_\w+$"receivable_2NfK8sLq4RtVwXyZ1aBcDeFgHiJ"
Was this page helpful?

